<h1>Product Type
  <span *ngIf="productTypeForm.get('id').value !== null">edit</span>
  <span *ngIf="productTypeForm.get('id').value === null">create</span>
</h1>
<br>
<form [formGroup]="productTypeForm">
  <div class="form-group row" *ngIf="productTypeForm.get('id').value !== null">
    <label for="staticId" class="col-sm-2 col-form-label">ID</label>
    <div class="col-sm-10">
      <input type="text" readonly id="staticId" formControlName="id" class="form-control">
    </div>
  </div>
  <div class="form-group row">
    <label for="inputName" class="col-sm-2 col-form-label">Product Type Name</label>
    <div class="col-sm-10">
      <input type="text" id="inputName" formControlName="name" class="form-control"
             [ngClass]="{'is-invalid':productTypeForm.get('name').touched && !productTypeForm.get('name').valid}">
      <div class="invalid-feedback" *ngFor="let err of productTypeForm.get('name').getError('backendErrors')">
        {{err}}
      </div>
    </div>
  </div>
  <div class="row">
    <label for="inputPicture" class="col-sm-2 col-form-label">Picture</label>
    <div class="col-sm-10">
      <input type="file"
             (change)="onImageUploadEvent.next($event)"
             class="form-control"
             [ngClass]="{'is-invalid':!productTypeForm.get('image').valid}"
             [multiple]="false" id="inputPicture" accept="image/*">
      <image-cropper
        [imageChangedEvent]="onImageUploadEvent | async"
        [maintainAspectRatio]="true"
        [aspectRatio]="10 / 4"
        [resizeToWidth]="320"
        format="png"
        (imageCropped)="imageCropped($event)"
      ></image-cropper>
    </div>
  </div>
  <div class="row mb-3" *ngIf="productTypeForm.get('image').value !== null">
    <label for="inputPicture" class="col-sm-2 col-form-label"></label>
    <div class="col-sm-10">
      <img style="max-width: 50%; background-color: #ffffff" [src]="productTypeForm.get('image').value"/>
    </div>
  </div>
  <div class="form-group row">
    <label for="inputOrder" class="col-sm-2 col-form-label">Order</label>
    <div class="col-sm-10">
      <input type="number" id="inputOrder" formControlName="order" class="form-control"
             [ngClass]="{'is-invalid':!productTypeForm.get('order').valid}">
      <div class="invalid-feedback" *ngFor="let err of productTypeForm.get('order').getError('backendErrors')">
        {{err}}
      </div>
    </div>
  </div>
  <div class="form-group row">
    <div class="col-sm-2">Product Type State</div>
    <div class="col-sm-10">
      <div class="form-check">
        <input type="checkbox" class="form-check-input" id="checkLocked" formControlName="locked" />
        <label class="form-check-label" for="checkLocked">
          Locked
        </label>
      </div>
    </div>
  </div>

  <div class="form-group row">
    <div class="col-sm-10">
      <button class="btn" [disabled]="!productTypeForm.valid"
              [ngClass]="{'btn-danger':(productTypeForm.touched||productTypeForm.get('id').value === null) && !productTypeForm.valid, 'btn-success':productTypeForm.valid}"
              type="submit" (click)="save()">SAVE
      </button>
    </div>
  </div>
</form>
